Index: trunk/SRC/Utilities/createfunc.pro
===================================================================
--- trunk/SRC/Utilities/createfunc.pro	(revision 114)
+++ trunk/SRC/Utilities/createfunc.pro	(revision 118)
@@ -6,8 +6,10 @@
 ; usefull to avoid the use of execute
 ;
-; @param command {in}{required} a scalar string defining the result to be byven back by the function. (see examples)
+; @param command {in}{required} a scalar string defining the result to be 
+; given back by the function. (see examples)
 ;
 ; @keyword FILENAMEIN {in} name of the funccedure to be created.
 ;      'for_createfunc.pro' by default
+;
 ; @keyword KWDLIST {in} a vector string. to specify a list of keywords that
 ;      must be included in the function definition. Warning: the string
@@ -16,9 +18,9 @@
 ; @keyword _EXTRA used to pass your keywords to the created function.
 ;
-; SIDE EFFECTS: ends the function name with '.pro' if needed
+; @restrictions 
+; - arguments can be given only through keywords;
+; - ends the function name with '.pro' if needed.
 ;
-; @restrictions arguments can be given only through keywords
-;
-; @examples 
+; @examples
 ;      IDL> print, createfunc('3*2', filename='test')
 ;      IDL> print, createfunc('3*two', filename = 'test' $
@@ -27,4 +29,7 @@
 ; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      May 2005
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -32,5 +37,5 @@
 ;------------------------------------------------------------
 FUNCTION createfunc, command, FILENAMEIN = filenamein $
-               , KWDLIST = kwdlist, _extra = ex
+               , KWDLIST = kwdlist, _EXTRA = ex
 ;
   compile_opt idl2, hidden, strictarrsubs
@@ -39,5 +44,5 @@
 ; define filename if needed
   if NOT keyword_set(filenamein) then filename = 'for_createfunc.pro' $
-  ELSE filename = filenamein 
+  ELSE filename = filenamein
 ; get the name of the function (not the name of the file containing the function)
    shortfilename =  file_basename(filename, '.pro')
@@ -50,5 +55,5 @@
 ; create the file
    if NOT keyword_set(kwdlist) then kwdlist = ''
-   kwdlist = kwdlist + ', _extra = ex'
+   kwdlist = kwdlist + ', _EXTRA = ex'
    IF strmid(kwdlist, 0, 1) NE ',' THEN kwdlist = ', ' +  kwdlist
    putfile, filename, ['function ' + shortfilename + kwdlist $
@@ -63,5 +68,5 @@
    cd, old_dir
 ; execute it
-   res = call_function(shortfilename, _extra = ex)
+   res = call_function(shortfilename, _EXTRA = ex)
 ;
    return, res
Index: trunk/SRC/Utilities/createpro.pro
===================================================================
--- trunk/SRC/Utilities/createpro.pro	(revision 114)
+++ trunk/SRC/Utilities/createpro.pro	(revision 118)
@@ -5,26 +5,28 @@
 ; @file_comments write an idl procedure, compile it and execute it.
 ;
-; @param command {in}{required} a string array defining the procedure to be created. each element will be a line of the created procedure. 
+; @param command {in}{required} a string array defining the procedure to be created. each element will be a line of the created procedure.
 ;
-; @keyword FILENAMEIN name of the procedure to be created.
+; @keyword FILENAMEIN {in} name of the procedure to be created.
 ;      'for_createpro.pro' by default
 ;
-; @keyword KWDLIST a vector string. to specify a list of keywords that
+; @keyword KWDLIST {in} a vector string. to specify a list of keywords that
 ;      must be included in the procedure definition. Warning: the string
 ;      must start with a ',' for example: KWDLIST = ', TOTO = toto'
 ;
+; @keyword KWDUSED obsolote, please pass directly your keywords through _extra
+;
 ; @keyword _EXTRA used to pass your keywords to the created procedure.
 ;
-; SIDE EFFECTS: ends the procedure name with '.pro' if needed
+; @restrictions
+; - is not working with functions, use createfunc instead.
+; - arguments can be given only through keywords.
+; - ends the procedure name with '.pro' if needed.
 ;
-; @restrictions is not working with functions, use createfunc instead.
-;              arguments can be given only through keywords
-;
-; @examples 
+; @examples
 ;      IDL> createpro, ['print,''OK'''], filename='test'
 ;      IDL> createpro, ['if keyword_set(ok) then print,''OK'' else print, ''No'''] $
-;      IDL>   , filename = 'test', kwdlist =', ok = ok' 
+;      IDL>   , filename = 'test', kwdlist =', ok = ok'
 ;      IDL> createpro, ['if keyword_set(ok) then print,''OK'' else print, ''No'''] $
-;      IDL>   , filename = 'test', kwdlist = ', ok = ok', /ok 
+;      IDL>   , filename = 'test', kwdlist = ', ok = ok', /ok
 ;
 ;
@@ -32,4 +34,6 @@
 ; cleaning + new keywords: October 2005
 ; Feb. 2006: supress keyword "kwdused" and use call_procedure instead of execute
+;
+; @version $Id$
 ;-
 ;------------------------------------------------------------
@@ -49,5 +53,5 @@
 ; define filename if needed
   if NOT keyword_set(filenamein) then filename = 'for_createpro.pro' $
-  ELSE filename = filenamein 
+  ELSE filename = filenamein
 ; get the name of the procedure (not the name of the file containing the procedure)
    shortfilename =  file_basename(filename, '.pro')
Index: trunk/SRC/Utilities/def_myuniquetmpdir.pro
===================================================================
--- trunk/SRC/Utilities/def_myuniquetmpdir.pro	(revision 114)
+++ trunk/SRC/Utilities/def_myuniquetmpdir.pro	(revision 118)
@@ -12,4 +12,6 @@
 ; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2005
+;
+; @version $Id$
 ;
 ;-
Index: trunk/SRC/Utilities/demomode_compatibility.pro
===================================================================
--- trunk/SRC/Utilities/demomode_compatibility.pro	(revision 114)
+++ trunk/SRC/Utilities/demomode_compatibility.pro	(revision 118)
@@ -2,4 +2,5 @@
 ; @categories utilities
 ; @uses cm_general
+; @version $Id$
 ;-
 PRO demomode_compatibility
Index: trunk/SRC/Utilities/find.pro
===================================================================
--- trunk/SRC/Utilities/find.pro	(revision 114)
+++ trunk/SRC/Utilities/find.pro	(revision 118)
@@ -48,4 +48,6 @@
 ;        vector is unique.
 ;
+; @keyword _EXTRA used to pass your keywords
+;
 ; @file_comments all file_search keywords can be used.
 ;
@@ -86,4 +88,6 @@
 ;                       6/7/1999: compatibilite mac et windows
 ; June 2005: Sebastien Masson: cleaning, use for file_* functions
+;
+; @version $Id$
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Utilities/isadirectory.pro
===================================================================
--- trunk/SRC/Utilities/isadirectory.pro	(revision 114)
+++ trunk/SRC/Utilities/isadirectory.pro	(revision 118)
@@ -16,4 +16,6 @@
 ; @keyword TITLE the title of the window
 ;
+; @keyword _EXTRA used to pass your keywords
+;
 ; @file_comments all dialog_pickfile keywords (like filter) can be used.
 ;
@@ -31,4 +33,6 @@
 ;                      June 28, 2000
 ; June 2005: Sebastien Masson: cleaning, use for file_* functions
+;
+; @version $Id$
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Utilities/isafile.pro
===================================================================
--- trunk/SRC/Utilities/isafile.pro	(revision 114)
+++ trunk/SRC/Utilities/isafile.pro	(revision 118)
@@ -31,4 +31,6 @@
 ;        argument. 
 ;
+; @keyword _EXTRA used to pass your keywords
+;
 ; @file_comments all find, file_search and dialog_pickfile keywords (like title) can be used
 ;
@@ -52,4 +54,6 @@
 ;                      11/2/2000
 ; June 2005: Sebastien Masson: cleaning, use for file_* functions
+;
+; @version $Id$
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Utilities/protype.pro
===================================================================
--- trunk/SRC/Utilities/protype.pro	(revision 114)
+++ trunk/SRC/Utilities/protype.pro	(revision 118)
@@ -27,4 +27,6 @@
 ; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       Feb 2006
+;
+; @version $Id$
 ;-
 ;------------------------------------------------------------
